commit:     d22cb0baccdcdf74f6fb994c4ceae95f0bbb88f5
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 17 11:28:51 2016 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 11:28:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d22cb0ba

app-laptop/mbpfan: initial commit with versions 1.9.1 and live

mbpfan is a daemon that uses input from coretemp module and sets the
fan speed using the applesmc module. This enhanced version assumes any
number of processors and fans.

Package-Manager: portage-2.3.0

 app-laptop/mbpfan/Manifest            |  1 +
 app-laptop/mbpfan/mbpfan-1.9.1.ebuild | 34 ++++++++++++++++++++++++++++++++++
 app-laptop/mbpfan/mbpfan-9999.ebuild  | 33 +++++++++++++++++++++++++++++++++
 app-laptop/mbpfan/metadata.xml        | 18 ++++++++++++++++++
 4 files changed, 86 insertions(+)

diff --git a/app-laptop/mbpfan/Manifest b/app-laptop/mbpfan/Manifest
new file mode 100644
index 00000000..ab15749
--- /dev/null
+++ b/app-laptop/mbpfan/Manifest
@@ -0,0 +1 @@
+DIST mbpfan-1.9.1.tar.gz 24393 SHA256 
a7cf850a393ebfce21427b992436b84cc4b20e1cb8d673d45d2c8b991c69e68c SHA512 
04f1f70697ccd182c329588623c6664979e1cc25db8a39a2ea9f6d1ec49f3914172c3ada392fabc9ac51a811f36087dc600426c34c201d02a5d7b791b04f0f3b
 WHIRLPOOL 
a97cc5eb8ebb25353e5fe7b86854daf52bfa99b6ad3a490ef3006fdd9162b8c96840692d1939071e4404438535e4f44f0a5b41cc5cb43b115046fe4b3fd89a8a

diff --git a/app-laptop/mbpfan/mbpfan-1.9.1.ebuild 
b/app-laptop/mbpfan/mbpfan-1.9.1.ebuild
new file mode 100644
index 00000000..53c7ae4
--- /dev/null
+++ b/app-laptop/mbpfan/mbpfan-1.9.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit linux-info systemd toolchain-funcs
+
+DESCRIPTION="A simple daemon to control fan speed on all Macbook/Macbook Pros"
+HOMEPAGE="https://github.com/dgraziotin/mbpfan";
+SRC_URI="https://github.com/dgraziotin/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test" # will fail if the hardware is unavailable, not useful
+
+CONFIG_CHECK="~SENSORS_APPLESMC ~SENSORS_CORETEMP"
+
+src_prepare() {
+       sed -i -e "s:g++:$(tc-getCXX):g" Makefile || die
+       default
+}
+
+src_install() {
+       dosbin bin/mbpfan
+
+       insinto /etc
+       doins ${PN}.conf
+
+       newinitd ${PN}.init.gentoo ${PN}
+       systemd_dounit ${PN}.service
+
+       einstalldocs
+}

diff --git a/app-laptop/mbpfan/mbpfan-9999.ebuild 
b/app-laptop/mbpfan/mbpfan-9999.ebuild
new file mode 100644
index 00000000..81491b6
--- /dev/null
+++ b/app-laptop/mbpfan/mbpfan-9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit git-r3 linux-info systemd toolchain-funcs
+
+DESCRIPTION="A simple daemon to control fan speed on all Macbook/Macbook Pros"
+HOMEPAGE="https://github.com/dgraziotin/mbpfan";
+EGIT_REPO_URI="git://github.com/dgraziotin/${PN}.git"
+LICENSE="GPL-3+"
+SLOT="0"
+RESTRICT="test" # will fail if the hardware is unavailable, not useful
+
+CONFIG_CHECK="~SENSORS_APPLESMC ~SENSORS_CORETEMP"
+
+src_prepare() {
+       sed -i -e "s:g++:$(tc-getCXX):g" Makefile || die
+       default
+}
+
+src_install() {
+       emake DESTDIR="${D%/}" install
+
+       rm -r "${D}"usr/share/doc/${PN} || die
+       rm -r "${D}"lib/systemd/system || die
+
+       newinitd ${PN}.init.gentoo ${PN}
+       systemd_dounit ${PN}.service
+
+       einstalldocs
+}

diff --git a/app-laptop/mbpfan/metadata.xml b/app-laptop/mbpfan/metadata.xml
new file mode 100644
index 00000000..95aa53e
--- /dev/null
+++ b/app-laptop/mbpfan/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>gokt...@gentoo.org</email>
+    <name>Göktürk Yüksek</name>
+  </maintainer>
+  <longdescription>
+    mbpfan is a daemon that uses input from coretemp module and sets
+    the fan speed using the applesmc module. This is an enhanced
+    version of Allan McRae mbpfan. This enhanced version assumes any
+    number of processors and fans.
+  </longdescription>
+  <upstream>
+    <bugs-to>https://github.com/dgraziotin/mbpfan/issues</bugs-to>
+    <remote-id type="github">dgraziotin/mbpfan</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to